[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomScrollBar.Create

Constructor for the class instance.

## Declaration

Source position: stdctrls.pp line 101

`public constructor TCustomScrollBar.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry.

Create ensures that the component style is updated to csScrollBar and sets the initial bounds for the control to the values returned from GetControlClassDefaultSize. Create sets the default values for properties, like:

TabStop
  Set to True.
ControlStyle
  Includes the values: [csFramed, csDoubleClicks, csOpaque]. Excludes the values: [csAcceptsControls, csDoubleClicks, csCaptureMouse, csSetCaption].
Kind
  Set to sbHorizontal.
Position
  Set to 0.
Min
  Set to 0.
Max
  Set to 100.
SmallChange
  Set to 1.
LargeChange
  Set to 1.